import React, { useState } from 'react';
const DisplayErrorCtx = /*#__PURE__*/React.createContext(false);
const CustomForm = ({
  children,
  onSubmit = () => {},
  submitLabel = 'Valider',
  cancelLabel = 'Annuler',
  className = '',
  disabled = false,
  isLoading = false,
  onCancel = null,
  errorMessage = null,
  isFormValid = true
}) => {
  const [displayError, setDisplayError] = useState(false);
  const submit = e => {
    e.preventDefault();
    !displayError && setDisplayError(true);
    if (isFormValid) {
      onSubmit(e);
    }
  };
  return /*#__PURE__*/React.createElement(DisplayErrorCtx.Provider, {
    value: displayError
  }, /*#__PURE__*/React.createElement("form", {
    onSubmit: submit,
    className: className
  }, children, displayError && !isFormValid && errorMessage != null && /*#__PURE__*/React.createElement("p", {
    className: "informations danger"
  }, errorMessage), /*#__PURE__*/React.createElement("div", {
    className: "form-buttons-container"
  }, /*#__PURE__*/React.createElement("button", {
    disabled: disabled || isLoading,
    className: `button button-uca-blue spaced-inline ${(disabled || isLoading) && 'disabled'}`
  }, /*#__PURE__*/React.createElement("span", null, submitLabel), isLoading && /*#__PURE__*/React.createElement("div", {
    className: "spinner-border spinner-border-sm",
    role: "status"
  })), onCancel != null && /*#__PURE__*/React.createElement("button", {
    className: "button button-uca-beige",
    type: "button",
    onClick: onCancel
  }, cancelLabel))));
};
export { DisplayErrorCtx };
export default CustomForm;